0.5:
A 'skip to content' key, which hunts out link-sparse paragraphs of text
Regexps for search?
Try to optimise parsing etc

0.7:
Do the "rendering" ourselves, rather than invoking lynx -dump. This will allow
us to handle named anchors much more elegantly, and handle input fields and
even images. One could even imagine an SDL front end which flashed an image as
if it were just another word...

Misc suggestions:
Threading
Tabs
Multiword mode, in which we try to show around 6 chars per line
Support MS Windows
